{"openapi":"3.1.0","info":{"title":"Astravue API","description":"This API exposes all the endpoints of Astravue application","version":"1.0.0"},"servers":[{"url":"https://api.astravue.com","description":"Astravue's API server"}],"tags":[{"name":"Notifications and Mentions","description":"Operations related to user notifications and mentions"},{"name":"Project Tasks","description":"Operations related to project tasks"},{"name":"Personal Subtasks","description":"Create, retrieve, update and delete subtasks of a given personal task"},{"name":"Projects","description":"Operations related to project"},{"name":"Task Attachments","description":"Upload, list, rename and delete files on a task or one of its subtasks"},{"name":"Personal Tasks","description":"Operations related to personal tasks"},{"name":"Task Timer","description":"Public API for Task Timer Operations"},{"name":"Spaces","description":"Operations related to spaces"},{"name":"Task Comments","description":"Operations related to task comments (public API)"},{"name":"Bulk Export","description":"Org-wide bulk read endpoints for external sync and reporting"},{"name":"Project Attachments","description":"Upload, list, rename and delete files attached to a project"},{"name":"Tasks Checklist","description":"Operations related to Task Checklist"},{"name":"Project Subtasks","description":"Retrieve project subtasks of a given task"}],"paths":{"/onboarding/onboard-org-auth-apple":{"get":{"tags":["rest-on-boarding-controller"],"operationId":"handleAppleAuthCallback","parameters":[{"name":"params","in":"query","required":true,"schema":{"type":"object","additionalProperties":{"type":"string"}}}],"responses":{"200":{"description":"OK"}}},"post":{"tags":["rest-on-boarding-controller"],"operationId":"handleAppleAuthCallback_1","parameters":[{"name":"params","in":"query","required":true,"schema":{"type":"object","additionalProperties":{"type":"string"}}}],"responses":{"200":{"description":"OK"}}}},"/mcp/oauth/authorize":{"get":{"tags":["o-auth-metadata-controller"],"operationId":"authorizeProxy","responses":{"200":{"description":"OK"}}},"head":{"tags":["o-auth-metadata-controller"],"operationId":"authorizeProxy_1","responses":{"200":{"description":"OK"}}}},"/.well-known/oauth-protected-resource/mcp":{"get":{"tags":["o-auth-metadata-controller"],"operationId":"oauthMetadata","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}}}},"head":{"tags":["o-auth-metadata-controller"],"operationId":"oauthMetadata_1","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}}}}},"/.well-known/oauth-protected-resource":{"get":{"tags":["o-auth-metadata-controller"],"operationId":"oauthMetadata_2","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}}}},"head":{"tags":["o-auth-metadata-controller"],"operationId":"oauthMetadata_3","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}}}}},"/.well-known/oauth-authorization-server":{"get":{"tags":["o-auth-metadata-controller"],"operationId":"oauthAuthorizationServerMetadata","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}}}},"head":{"tags":["o-auth-metadata-controller"],"operationId":"oauthAuthorizationServerMetadata_1","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}}}}},"/.well-known/mcp":{"get":{"tags":["o-auth-metadata-controller"],"operationId":"mcpDiscovery","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}}}},"head":{"tags":["o-auth-metadata-controller"],"operationId":"mcpDiscovery_1","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}}}}},"/v1/time-track/{trackId}":{"put":{"tags":["Task Timer"],"summary":"Update a timer","description":"Update billing status, notes, or start time and duration of a timer","operationId":"updateTimer","parameters":[{"name":"trackId","in":"path","description":"Timer Track ID to update","required":true,"schema":{"type":"integer","example":5}},{"name":"X-Org-Id","in":"header","description":"Organization ID (in header)","required":true,"schema":{"type":"integer","example":1}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimerUpdateRequest"}}},"required":true},"responses":{"200":{"description":"Timer updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiSuccessResponseTimeTrackerDto"}}}}}},"delete":{"tags":["Task Timer"],"summary":"Delete a timer entry","description":"Deletes a specific timer entry for the current user","operationId":"deleteTimeTracker","parameters":[{"name":"trackId","in":"path","description":"Timer Track ID to delete","required":true,"schema":{"type":"integer","example":5}},{"name":"X-Org-Id","in":"header","description":"Organization ID (in header)","required":true,"schema":{"type":"integer","example":1}}],"responses":{"200":{"description":"Time tracker deleted successfully","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/ApiSuccessResponseVoid"}}}}}}},"/v1/time-track/{trackId}/stop":{"put":{"tags":["Task Timer"],"summary":"Stop timer for a task","description":"Stops the running timer for the given track ID","operationId":"stopTimer","parameters":[{"name":"trackId","in":"path","description":"Timer Track ID to stop","required":true,"schema":{"type":"integer","example":5}},{"name":"X-Org-Id","in":"header","description":"Organization ID (in header)","required":true,"schema":{"type":"integer","example":1}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimerRequest"}}},"required":true},"responses":{"200":{"description":"Timer stopped successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiSuccessResponseTimeTrackerDto"}}}}}}},"/v1/time-track/{trackId}/resume":{"put":{"tags":["Task Timer"],"summary":"Resume timer for a task","description":"Resumes a paused timer for the given track ID","operationId":"resumeTimer","parameters":[{"name":"trackId","in":"path","description":"Timer Track ID to resume","required":true,"schema":{"type":"integer","example":5}},{"name":"X-Org-Id","in":"header","description":"Organization ID (in header)","required":true,"schema":{"type":"integer","example":1}}],"responses":{"200":{"description":"Timer resumed successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiSuccessResponseTimeTrackerDto"}}}}}}},"/v1/time-track/{trackId}/pause":{"put":{"tags":["Task Timer"],"summary":"Pause timer for a task","description":"Pauses the running timer for the given track ID. The elapsed time is preserved.","operationId":"pauseTimer","parameters":[{"name":"trackId","in":"path","description":"Timer Track ID to pause","required":true,"schema":{"type":"integer","example":5}},{"name":"X-Org-Id","in":"header","description":"Organization ID (in header)","required":true,"schema":{"type":"integer","example":1}}],"responses":{"200":{"description":"Timer paused successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiSuccessResponseTimeTrackerDto"}}}}}}},"/v1/tasks/{taskId}":{"get":{"tags":["Personal Tasks"],"summary":"Get task by ID","description":"Retrieve a task by its ID","operationId":"getTaskById","parameters":[{"name":"taskId","in":"path","description":"ID of the task","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"X-Org-Id","in":"header","description":"Organization ID","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Task details fetched successfully","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/ApiSuccessResponseTaskDto"}}}}}},"put":{"tags":["Personal Tasks"],"summary":"Update a task","description":"Update a task by its ID","operationId":"updateTask","parameters":[{"name":"taskId","in":"path","description":"ID of the task to be updated","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"X-Org-Id","in":"header","description":"Organization ID","required":true,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskUpdateRequest"}}},"required":true},"responses":{"200":{"description":"Task updated successfully","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/ApiSuccessResponseTaskDto"}}}}}},"delete":{"tags":["Personal Tasks"],"summary":"Delete a task","description":"Delete a task by its ID","operationId":"deleteTask","parameters":[{"name":"taskId","in":"path","description":"ID of the task to be deleted","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"X-Org-Id","in":"header","description":"Organization ID","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Task deleted successfully","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/v1/tasks/{taskId}/subtasks/{subtaskId}/checklists/{checklistId}":{"put":{"tags":["Tasks Checklist"],"summary":"Update a checklist of a subtask","description":"Replace name, completion state and assignee of the given subtask checklist item. Every field is applied as sent, so omitting assigneeId unassigns the item.","operationId":"updateCheckListForSubtask","parameters":[{"name":"taskId","in":"path","description":"ID of the parent task","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"subtaskId","in":"path","description":"ID of the subtask","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"checklistId","in":"path","description":"ID of the checklist item to update","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"X-Org-Id","in":"header","description":"Organization ID","required":true,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChecklistUpdateRequest"}}},"required":true},"responses":{"200":{"description":"Subtask checklist updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiSuccessResponseTaskCheckListDto"}}}}}},"delete":{"tags":["Tasks Checklist"],"summary":"Delete a checklist of a subtask","description":"Delete the given subtask checklist item and close the gap it leaves in the checklist order","operationId":"deleteCheckListForSubtask","parameters":[{"name":"taskId","in":"path","description":"ID of the parent task","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"subtaskId","in":"path","description":"ID of the subtask","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"checklistId","in":"path","description":"ID of the checklist item to delete","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"X-Org-Id","in":"header","description":"Organization ID","required":true,"schema":{"type":"integer"}}],"responses":{"204":{"description":"Subtask checklist deleted successfully"}}}},"/v1/tasks/{taskId}/subtasks/{subtaskId}/attachments/{attachmentId}":{"get":{"tags":["Task Attachments"],"summary":"Get one attachment of a subtask","description":"Fetch a single attachment of the subtask with its upload progress","operationId":"getSubtaskAttachment","parameters":[{"name":"taskId","in":"path","description":"ID of the parent task","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"subtaskId","in":"path","description":"ID of the subtask","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"attachmentId","in":"path","description":"ID of the attachment","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"X-Org-Id","in":"header","description":"Organization ID","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Attachment fetched successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiSuccessResponseAttachmentWithStateDto"}}}}}},"put":{"tags":["Task Attachments"],"summary":"Rename a subtask attachment","description":"Rename an attachment. Send the new name without an extension — the stored extension is kept.","operationId":"renameSubtaskAttachment","parameters":[{"name":"taskId","in":"path","description":"ID of the parent task","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"subtaskId","in":"path","description":"ID of the subtask","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"attachmentId","in":"path","description":"ID of the attachment","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"X-Org-Id","in":"header","description":"Organization ID","required":true,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AttachmentRenameRequest"}}},"required":true},"responses":{"200":{"description":"Attachment renamed successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiSuccessResponseAttachmentDto"}}}}}},"delete":{"tags":["Task Attachments"],"summary":"Delete a subtask attachment","description":"Delete the attachment and the stored file. This cannot be undone.","operationId":"deleteSubtaskAttachment","parameters":[{"name":"taskId","in":"path","description":"ID of the parent task","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"subtaskId","in":"path","description":"ID of the subtask","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"attachmentId","in":"path","description":"ID of the attachment","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"X-Org-Id","in":"header","description":"Organization ID","required":true,"schema":{"type":"integer"}}],"responses":{"204":{"description":"Attachment deleted successfully"}}}},"/v1/tasks/{taskId}/checklists/{checklistId}":{"put":{"tags":["Tasks Checklist"],"summary":"Update a checklist of a parent task","description":"Replace name, completion state and assignee of the given checklist item. Every field is applied as sent, so omitting assigneeId unassigns the item.","operationId":"updateCheckListForTask","parameters":[{"name":"taskId","in":"path","description":"ID of the parent task","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"checklistId","in":"path","description":"ID of the checklist item to update","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"X-Org-Id","in":"header","description":"Organization ID","required":true,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChecklistUpdateRequest"}}},"required":true},"responses":{"200":{"description":"Checklist updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiSuccessResponseTaskCheckListDto"}}}}}},"delete":{"tags":["Tasks Checklist"],"summary":"Delete a checklist of a parent task","description":"Delete the given checklist item and close the gap it leaves in the checklist order","operationId":"deleteCheckListForTask","parameters":[{"name":"taskId","in":"path","description":"ID of the parent task","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"checklistId","in":"path","description":"ID of the checklist item to delete","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"X-Org-Id","in":"header","description":"Organization ID","required":true,"schema":{"type":"integer"}}],"responses":{"204":{"description":"Checklist deleted successfully"}}}},"/v1/tasks/{taskId}/attachments/{attachmentId}":{"get":{"tags":["Task Attachments"],"summary":"Get one attachment of a task","description":"Fetch a single attachment of the task with its upload progress","operationId":"getTaskAttachment","parameters":[{"name":"taskId","in":"path","description":"ID of the task","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"attachmentId","in":"path","description":"ID of the attachment","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"X-Org-Id","in":"header","description":"Organization ID","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Attachment fetched successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiSuccessResponseAttachmentWithStateDto"}}}}}},"put":{"tags":["Task Attachments"],"summary":"Rename a task attachment","description":"Rename an attachment. Send the new name without an extension — the stored extension is kept.","operationId":"renameTaskAttachment","parameters":[{"name":"taskId","in":"path","description":"ID of the task","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"attachmentId","in":"path","description":"ID of the attachment","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"X-Org-Id","in":"header","description":"Organization ID","required":true,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AttachmentRenameRequest"}}},"required":true},"responses":{"200":{"description":"Attachment renamed successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiSuccessResponseAttachmentDto"}}}}}},"delete":{"tags":["Task Attachments"],"summary":"Delete a task attachment","description":"Delete the attachment and the stored file. This cannot be undone.","operationId":"deleteTaskAttachment","parameters":[{"name":"taskId","in":"path","description":"ID of the task","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"attachmentId","in":"path","description":"ID of the attachment","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"X-Org-Id","in":"header","description":"Organization ID","required":true,"schema":{"type":"integer"}}],"responses":{"204":{"description":"Attachment deleted successfully"}}}},"/v1/tasks/{parentTaskId}/subtasks/{subtaskId}":{"put":{"tags":["Personal Subtasks"],"summary":"Update a subtask for a personal task","description":"Update an existing subtask for a given personal task","operationId":"updatePersonalSubtask","parameters":[{"name":"parentTaskId","in":"path","description":"ID of the parent task","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"subtaskId","in":"path","description":"ID of the subtask to update","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"X-Org-Id","in":"header","description":"Organization ID","required":true,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GeneralSubtaskUpdateRequest"}}},"required":true},"responses":{"200":{"description":"Subtask updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiSuccessResponseTaskDto"}}}}}},"delete":{"tags":["Personal Subtasks"],"summary":"Delete a subtask for a personal task","description":"Delete an existing subtask for a given personal task","operationId":"deletePersonalSubtask","parameters":[{"name":"parentTaskId","in":"path","description":"ID of the parent task","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"subtaskId","in":"path","description":"ID of the subtask to delete","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"X-Org-Id","in":"header","description":"Organization ID","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Subtask deleted successfully","content":{"application/json":{"schema":{"type":"object"}}}}}}},"/v1/spaces/{spaceId}":{"get":{"tags":["Spaces"],"summary":"Get space by ID","description":"Fetches the details of a specific space by its ID.","operationId":"getSpaceById","parameters":[{"name":"spaceId","in":"path","description":"ID of the space to fetch","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"X-Org-Id","in":"header","description":"Organization ID","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/ApiSuccessResponseSpaceDto"}}}}}},"put":{"tags":["Spaces"],"summary":"Update a space","description":"Updates the details of a specific space by its ID.","operationId":"updateSpace","parameters":[{"name":"spaceId","in":"path","description":"ID of the space to update","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"X-Org-Id","in":"header","description":"Organization ID","required":true,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SpaceUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/ApiSuccessResponseSpaceDto"}}}}}},"delete":{"tags":["Spaces"],"summary":"Delete a space","description":"Deletes a specific space by its ID.","operationId":"deleteSpace","parameters":[{"name":"spaceId","in":"path","description":"ID of the space to delete","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"X-Org-Id","in":"header","description":"Organization ID","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/v1/spaces/{spaceId}/projects/{projectId}":{"get":{"tags":["Projects"],"summary":"Get project details by ID","description":"Fetches the details of a specific project by its ID within a given space.","operationId":"getProjectById","parameters":[{"name":"spaceId","in":"path","description":"ID of the space","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","description":"ID of the project","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"X-Org-Id","in":"header","description":"Organization ID","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/ApiSuccessResponseProjectDto"}}}}}},"put":{"tags":["Projects"],"summary":"Update a project","description":"Updates the details of a specific project by its ID within a given space.","operationId":"updateProject","parameters":[{"name":"spaceId","in":"path","description":"ID of the space","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","description":"ID of the project","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"X-Org-Id","in":"header","description":"Organization ID","required":true,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/ApiSuccessResponseProjectDto"}}}}}},"delete":{"tags":["Projects"],"summary":"Delete a project","description":"Deletes a specific project by its ID within a given space.","operationId":"deleteProject","parameters":[{"name":"spaceId","in":"path","description":"ID of the space","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","description":"ID of the project","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"X-Org-Id","in":"header","description":"Organization ID","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/v1/spaces/{spaceId}/projects/{projectId}/tasks/{taskId}":{"get":{"tags":["Project Tasks"],"summary":"Get a project task by ID","description":"Retrieve a project task by its ID","operationId":"getProjectTaskById","parameters":[{"name":"spaceId","in":"path","description":"ID of the space","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","description":"ID of the project","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"taskId","in":"path","description":"ID of the task","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"X-Org-Id","in":"header","description":"Organization ID","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Project task fetched successfully","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/ApiSuccessResponseTaskDto"}}}}}},"put":{"tags":["Project Tasks"],"summary":"Update a project task","description":"Update a project task by its ID","operationId":"updateProjectTask","parameters":[{"name":"spaceId","in":"path","description":"ID of the space","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","description":"ID of the project","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"taskId","in":"path","description":"ID of the task to be updated","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"X-Org-Id","in":"header","description":"Organization ID","required":true,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectTaskUpdateRequest"}}},"required":true},"responses":{"200":{"description":"Project task updated successfully","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/ApiSuccessResponseTaskDto"}}}}}},"delete":{"tags":["Project Tasks"],"summary":"Delete a project task","description":"Delete a project task by its ID","operationId":"deleteProjectTask","parameters":[{"name":"spaceId","in":"path","description":"ID of the space","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","description":"ID of the project","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"taskId","in":"path","description":"ID of the task to be updated","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"X-Org-Id","in":"header","description":"Organization ID","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Project task deleted successfully","content":{"application/vnd.hal+json":{"schema":{"type":"object"}}}}}}},"/v1/spaces/{spaceId}/projects/{projectId}/tasks/{taskId}/subtasks/{subtaskId}":{"put":{"tags":["Project Subtasks"],"summary":"Update a subtask","description":"Update an existing subtask for a given parent task","operationId":"updateSubtask","parameters":[{"name":"spaceId","in":"path","description":"ID of the space","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","description":"ID of the project","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"taskId","in":"path","description":"ID of the parent task","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"subtaskId","in":"path","description":"ID of the subtask to update","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"X-Org-Id","in":"header","description":"Organization ID","required":true,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectSubtaskUpdateRequest"}}},"required":true},"responses":{"200":{"description":"Subtask updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiSuccessResponseTaskDto"}}}}}},"delete":{"tags":["Project Subtasks"],"summary":"Delete a subtask","description":"Delete an existing subtask for a given parent task","operationId":"deleteSubtask","parameters":[{"name":"spaceId","in":"path","description":"ID of the space","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","description":"ID of the project","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"taskId","in":"path","description":"ID of the parent task","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"subtaskId","in":"path","description":"ID of the subtask to delete","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"X-Org-Id","in":"header","description":"Organization ID","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Subtask deleted successfully","content":{"application/json":{"schema":{"type":"object"}}}}}}},"/v1/spaces/{spaceId}/projects/{projectId}/attachments/{attachmentId}":{"get":{"tags":["Project Attachments"],"summary":"Get one attachment of a project","description":"Fetch a single project attachment with its upload progress","operationId":"getProjectAttachment","parameters":[{"name":"spaceId","in":"path","description":"ID of the space","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","description":"ID of the project","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"attachmentId","in":"path","description":"ID of the attachment","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"X-Org-Id","in":"header","description":"Organization ID","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"Attachment fetched successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiSuccessResponseAttachmentWithStateDto"}}}}}},"put":{"tags":["Project Attachments"],"summary":"Rename a project attachment","description":"Rename an attachment. Send the new name without an extension — the stored extension is kept.","operationId":"renameProjectAttachment","parameters":[{"name":"spaceId","in":"path","description":"ID of the space","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","description":"ID of the project","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"attachmentId","in":"path","description":"ID of the attachment","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"X-Org-Id","in":"header","description":"Organization ID","required":true,"schema":{"type":"integer"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AttachmentRenameRequest"}}},"required":true},"responses":{"200":{"description":"Attachment renamed successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiSuccessResponseAttachmentDto"}}}}}},"delete":{"tags":["Project Attachments"],"summary":"Delete a project attachment","description":"Delete the attachment and the stored file. This cannot be undone.","operationId":"deleteProjectAttachment","parameters":[{"name":"spaceId","in":"path","description":"ID of the space","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","description":"ID of the project","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"attachmentId","in":"path","description":"ID of the attachment","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"X-Org-Id","in":"header","description":"Organization ID","required":true,"schema":{"type":"integer"}}],"responses":{"204":{"description":"Attachment deleted successfully"}}}},"/v1/notifications/read/{notificationId}":{"put":{"tags":["Notifications and Mentions"],"summary":"Mark notification/mentions as read","description":"Marks a specific notification as read for the logged-in user in the given organization.","operationId":"markNotificationAsRead","parameters":[{"name":"notificationId","in":"path","description":"ID of the notification to mark as read","required":true,"schema":{"type":"integer","example":101}},{"name":"X-Org-Id","in":"header","description":"Organization ID (in header)","required":true,"schema":{"type":"integer","example":1}}],"responses":{"200":{"description":"Notification marked as read successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiSuccessResponseNotificationReadResponseDto"}}}}}}},"/v1/developer/apps/{appId}":{"put":{"tags":["app-controller"],"operationId":"updateApp","parameters":[{"name":"appId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AppDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"delete":{"tags":["app-controller"],"operationId":"deleteApp","parameters":[{"name":"appId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/users/{userId}":{"get":{"tags":["slash-user"],"operationId":"getOne","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"put":{"tags":["slash-user"],"operationId":"updateUser","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrgMemberDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/users/{userId}/user-preferences":{"get":{"tags":["slash-user-preference"],"operationId":"getUserPreference","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"put":{"tags":["slash-user-preference"],"operationId":"updateUserPreference","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserPreference"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"post":{"tags":["slash-user-preference"],"operationId":"addUserPreference","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserPreference"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"delete":{"tags":["slash-user-preference"],"operationId":"deletePreference","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/users/{userId}/org-switch":{"put":{"tags":["slash-user"],"operationId":"switchOrgForUser","parameters":[{"name":"switchToOrgId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"userId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/users/{userId}/change-password":{"put":{"tags":["slash-user"],"operationId":"changeUserPassword","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PasswordUpdateDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/users/current-user/tour":{"put":{"tags":["slash-user"],"operationId":"updateUserToCompleteTour","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/userdetail/{userId}":{"get":{"tags":["slash-user-detail"],"operationId":"getOne_1","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"put":{"tags":["slash-user-detail"],"operationId":"updateUserDetails","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserDetailDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/update-role/{userId}":{"put":{"tags":["slash-organization"],"operationId":"updateUserRole","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrgRoleDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/update-org-member-groupby-preference":{"put":{"tags":["slash-member-preference"],"operationId":"updateGroupByInOrgMember","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MemberPreferenceDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/update-org-member-filter":{"put":{"tags":["slash-member-preference"],"operationId":"updateFilterInOrgMember","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MemberPreferenceDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/update-calendar-filter":{"put":{"tags":["slash-member-preference"],"operationId":"updateFilterForCalendar","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MemberPreferenceDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/timer-preference/update-timerReminder":{"put":{"tags":["slash-timer-preference"],"operationId":"updateReminderPreference","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserReminderPreferenceDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/timer-preference/auto-stop-time":{"put":{"tags":["slash-timer-preference"],"operationId":"updateAutoStopTime","parameters":[{"name":"autoStopTime","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"delete":{"tags":["slash-timer-preference"],"operationId":"resetAutoStopTime","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/time-track/{trackId}":{"put":{"tags":["slash-time-tracker"],"operationId":"updateTimeTracker","parameters":[{"name":"trackId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeMapDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"delete":{"tags":["slash-time-tracker"],"operationId":"deleteTimeTracker_1","parameters":[{"name":"trackId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/time-track/{trackId}/update":{"put":{"tags":["slash-time-tracker"],"operationId":"updateRunningTimer","parameters":[{"name":"trackId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeTrackerDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/time-track/{trackId}/stop":{"put":{"tags":["slash-time-tracker"],"operationId":"stopTimer_1","parameters":[{"name":"trackId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeTrackerDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/time-track/{trackId}/resume":{"put":{"tags":["slash-time-tracker"],"operationId":"resumeTimer_1","parameters":[{"name":"trackId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/time-track/{trackId}/pause":{"put":{"tags":["slash-time-tracker"],"operationId":"pauseTimer_1","parameters":[{"name":"trackId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/time-track/{trackId}/billable":{"put":{"tags":["slash-time-tracker"],"operationId":"updateBillableStatus","parameters":[{"name":"trackId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimeTrackerDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/time-track/{trackId}/assign-task":{"put":{"tags":["slash-time-tracker"],"operationId":"assignTaskToTimer","parameters":[{"name":"trackId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AssignTaskRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/time-track/stop-all":{"put":{"tags":["slash-time-tracker"],"operationId":"stopAllTimer","responses":{"200":{"description":"OK"}}}},"/time-track/reports/global/favourite":{"get":{"tags":["slash-time-tracker"],"operationId":"getFavouriteFilter","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"put":{"tags":["slash-time-tracker"],"operationId":"saveFavouriteFilter","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TimesheetFilterPreferenceDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"delete":{"tags":["slash-time-tracker"],"operationId":"deleteFavouriteFilter","parameters":[{"name":"dimension","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/time-track/reports/global/columns":{"get":{"tags":["slash-time-tracker"],"operationId":"getTimesheetColumnPreference","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"put":{"tags":["slash-time-tracker"],"operationId":"updateTimesheetColumnPreference","parameters":[{"name":"property","in":"query","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"delete":{"tags":["slash-time-tracker"],"operationId":"resetTimesheetColumnPreference","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/taskstatuses/{taskStatusId}":{"get":{"tags":["slash-task-status"],"operationId":"getOne_2","parameters":[{"name":"taskStatusId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"put":{"tags":["slash-task-status"],"operationId":"update","parameters":[{"name":"taskStatusId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskStatusDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"delete":{"tags":["slash-task-status"],"operationId":"delete","parameters":[{"name":"taskStatusId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"replacementStatusId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/taskstatuses/spaces/{spaceId}/templates/{templateId}":{"get":{"tags":["slash-default-project-task-statuses-template"],"operationId":"getOneDefaultProjectTaskStatusesTemplateById","parameters":[{"name":"templateId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"put":{"tags":["slash-default-project-task-statuses-template"],"operationId":"updateDefaultProjectTaskStatusesTemplate","parameters":[{"name":"templateId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DefaultProjectTaskStatusesTemplateDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"delete":{"tags":["slash-default-project-task-statuses-template"],"operationId":"deleteDefaultProjectTaskStatusesTemplate","parameters":[{"name":"templateId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/taskstatuses/spaces/{spaceId}/templates/{templateId}/re-order":{"put":{"tags":["slash-default-project-task-statuses-template"],"operationId":"reorderDefaultProjectTaskStatusesTemplate","parameters":[{"name":"templateId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"integer","format":"int64"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/tasks":{"get":{"tags":["slash-task"],"operationId":"getAll","parameters":[{"name":"filterId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"searchCriteria","in":"query","required":false,"schema":{"type":"string","default":"{}"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":2147483647}},{"name":"property","in":"query","required":false,"schema":{"type":"string","default":"createdTime"}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":"none"}},{"name":"groupBy","in":"query","required":false,"schema":{"type":"string","default":"none","enum":["status","priority","owners","none","custom_field"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"put":{"tags":["slash-task"],"operationId":"updateView","parameters":[{"name":"statusId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"priorityId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"ownerIds","in":"query","required":false,"schema":{"type":"array","items":{"type":"integer","format":"int64"}}},{"name":"insertPosition","in":"query","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"groupBy","in":"query","required":true,"schema":{"type":"string","enum":["status","priority","owners","none","custom_field"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"post":{"tags":["slash-task"],"operationId":"add","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/tasks/{taskId}/subtasks/{subtaskId}/comments/{commentId}":{"get":{"tags":["slash-task-comment"],"operationId":"getOneSubTaskComment","parameters":[{"name":"taskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"subtaskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"commentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"put":{"tags":["slash-task-comment"],"operationId":"updateSubTaskComment","parameters":[{"name":"taskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"subtaskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"commentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskCommentDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"delete":{"tags":["slash-task-comment"],"operationId":"deleteSubTaskComment","parameters":[{"name":"taskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"subtaskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"commentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/tasks/{taskId}/subtasks/{subtaskId}/checklists/{checklistId}":{"put":{"tags":["slash-task-check-list"],"operationId":"updateCheckListForSubtask_1","parameters":[{"name":"taskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"subtaskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"checklistId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskCheckListDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"delete":{"tags":["slash-task-check-list"],"operationId":"deleteCheckListForSubtask_1","parameters":[{"name":"taskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"subtaskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"checklistId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/tasks/{taskId}/subtasks/{subtaskId}/checklists/reorder":{"put":{"tags":["slash-task-check-list"],"operationId":"reorderChecklistForSubtask","parameters":[{"name":"taskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"subtaskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"checkListId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"insertPosition","in":"query","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/tasks/{taskId}/subtasks/{subTaskId}/comments/{commentId}/attachments/{attachmentId}":{"get":{"tags":["slash-attachments"],"operationId":"getOneSubTaskCommentAttachment","parameters":[{"name":"taskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"subTaskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"commentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"attachmentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"put":{"tags":["slash-attachments"],"operationId":"updateSubTaskCommentAttachmentName","parameters":[{"name":"taskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"subTaskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"commentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"attachmentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AttachmentDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"delete":{"tags":["slash-attachments"],"operationId":"deleteSubTaskCommentAttachment","parameters":[{"name":"taskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"subTaskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"commentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"attachmentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/tasks/{taskId}/subtasks/{subTaskId}/attachments/{attachmentId}":{"get":{"tags":["slash-attachments"],"operationId":"getOneSubTaskAttachments","parameters":[{"name":"taskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"subTaskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"attachmentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"put":{"tags":["slash-attachments"],"operationId":"updateSubTaskAttachmentName","parameters":[{"name":"taskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"subTaskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"attachmentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AttachmentDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"delete":{"tags":["slash-attachments"],"operationId":"deleteSubTaskAttachment","parameters":[{"name":"taskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"subTaskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"attachmentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/tasks/{taskId}/subtasks/reorder":{"put":{"tags":["slash-task"],"operationId":"reorderSubtask","parameters":[{"name":"taskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"subtaskId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"insertPosition","in":"query","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/tasks/{taskId}/restore":{"put":{"tags":["slash-task"],"operationId":"restore","parameters":[{"name":"taskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/tasks/{taskId}/reminders/{reminderId}":{"put":{"tags":["slash-task-reminder"],"operationId":"updateReminder","parameters":[{"name":"taskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"reminderId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskReminderDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"delete":{"tags":["slash-task-reminder"],"operationId":"deleteReminder","parameters":[{"name":"taskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"reminderId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/tasks/{taskId}/recurrence":{"get":{"tags":["slash-task-recurrence"],"operationId":"getTaskRecurrence","parameters":[{"name":"taskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"put":{"tags":["slash-task-recurrence"],"operationId":"updateTaskRecurrence","parameters":[{"name":"taskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskRecurrenceDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"post":{"tags":["slash-task-recurrence"],"operationId":"createTaskRecurrence","parameters":[{"name":"taskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskRecurrenceDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"delete":{"tags":["slash-task-recurrence"],"operationId":"deleteTaskRecurrence","parameters":[{"name":"taskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/tasks/{taskId}/comments/{commentId}":{"get":{"tags":["slash-task-comment"],"operationId":"getOneComment","parameters":[{"name":"taskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"commentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"put":{"tags":["slash-task-comment"],"operationId":"updateComment","parameters":[{"name":"taskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"commentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskCommentDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"delete":{"tags":["slash-task-comment"],"operationId":"deleteComment","parameters":[{"name":"taskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"commentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/tasks/{taskId}/comments/{commentId}/attachments/{attachmentId}":{"get":{"tags":["slash-attachments"],"operationId":"getOneCommentAttachment","parameters":[{"name":"taskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"commentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"attachmentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"put":{"tags":["slash-attachments"],"operationId":"updateParentTaskCommentAttachmentName","parameters":[{"name":"taskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"commentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"attachmentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AttachmentDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"delete":{"tags":["slash-attachments"],"operationId":"deleteCommentAttachment","parameters":[{"name":"taskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"commentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"attachmentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/tasks/{taskId}/checklists/{checklistId}":{"put":{"tags":["slash-task-check-list"],"operationId":"updateCheckListForTask_1","parameters":[{"name":"taskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"checklistId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskCheckListDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"delete":{"tags":["slash-task-check-list"],"operationId":"deleteCheckListForTask_1","parameters":[{"name":"taskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"checklistId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/tasks/{taskId}/checklists/reorder":{"put":{"tags":["slash-task-check-list"],"operationId":"reorderChecklistForParentTask","parameters":[{"name":"taskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"checkListId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"insertPosition","in":"query","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/tasks/{taskId}/attachments/{attachmentId}":{"get":{"tags":["slash-attachments"],"operationId":"getOneTaskAttachment","parameters":[{"name":"taskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"attachmentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"put":{"tags":["slash-attachments"],"operationId":"updateTaskAttachmentName","parameters":[{"name":"taskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"attachmentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AttachmentDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"delete":{"tags":["slash-attachments"],"operationId":"deleteTaskAttachment_1","parameters":[{"name":"taskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"attachmentId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/taskpriorities/{taskPriorityId}":{"get":{"tags":["slash-task-priority"],"operationId":"getOne_3","parameters":[{"name":"taskPriorityId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"put":{"tags":["slash-task-priority"],"operationId":"update_1","parameters":[{"name":"taskPriorityId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskPriorityDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"delete":{"tags":["slash-task-priority"],"operationId":"delete_1","parameters":[{"name":"taskPriorityId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"replacementPriorityId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/tasklists/{taskListId}":{"get":{"tags":["slash-task-list"],"operationId":"getOne_4","parameters":[{"name":"taskListId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"put":{"tags":["slash-task-list"],"operationId":"update_2","parameters":[{"name":"taskListId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskListDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"delete":{"tags":["slash-task-list"],"operationId":"delete_2","parameters":[{"name":"taskListId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"cascade","in":"query","required":true,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/taskStatusTemplate/spaces/{spaceId}/templates/{templateId}":{"put":{"tags":["slash-task-status-template"],"operationId":"updateTaskStatusTemplate","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"templateId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskStatusTemplateDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"delete":{"tags":["slash-task-status-template"],"operationId":"deleteTaskStatusTemplate","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"templateId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"replacementStatusName","in":"query","required":false,"schema":{"type":"string"}},{"name":"replacementStatusCategory","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/taskCustomFields/org/{taskCustomFieldId}/fieldOptions/{optionId}":{"put":{"tags":["slash-task-custom-field"],"operationId":"updateOrgFieldOption","parameters":[{"name":"taskCustomFieldId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"optionId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomFieldOptionDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"delete":{"tags":["slash-task-custom-field"],"operationId":"deleteOrgFieldOption","parameters":[{"name":"taskCustomFieldId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"optionId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"replacementOptionId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/taskCustomFields/org/{taskCustomFieldId}/fieldName":{"put":{"tags":["slash-task-custom-field"],"operationId":"updateOrgFieldName","parameters":[{"name":"taskCustomFieldId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskCustomFieldDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/taskCustomFields/org/custom-field-reorder":{"put":{"tags":["slash-task-custom-field"],"operationId":"reorderOrgCustomFields","requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"integer","format":"int64"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/tags/{tagId}":{"get":{"tags":["slash-tags"],"operationId":"getOne_5","parameters":[{"name":"tagId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"put":{"tags":["slash-tags"],"operationId":"update_3","parameters":[{"name":"tagId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"delete":{"tags":["slash-tags"],"operationId":"delete_3","parameters":[{"name":"tagId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/spaces/{spaceId}":{"get":{"tags":["slash-space"],"operationId":"getOneSpace","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"put":{"tags":["slash-space"],"operationId":"updateSpace_1","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SpaceDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"delete":{"tags":["slash-space"],"operationId":"deleteSpace_1","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/spaces/{spaceId}/visibility":{"put":{"tags":["slash-space"],"operationId":"hideSpace","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"hide","in":"query","required":true,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/spaces/{spaceId}/users/{userId}/update-space-member-role":{"put":{"tags":["slash-space"],"operationId":"updateSpaceMemberRole","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"userId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SpaceRoleDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/spaces/{spaceId}/users/{userId}/accept-member-request":{"put":{"tags":["slash-space"],"operationId":"acceptRequestToJoinSpace","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"userId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/spaces/{spaceId}/update-space-member-groupby-preference":{"put":{"tags":["slash-member-preference"],"operationId":"updateGroupByInSpaceMember","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MemberPreferenceDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/spaces/{spaceId}/update-space-member-filter":{"put":{"tags":["slash-member-preference"],"operationId":"updateFilterInSpaceMember","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MemberPreferenceDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/spaces/{spaceId}/taskCustomFields/{taskCustomFieldId}/fieldOptions/{fieldOptionId}":{"get":{"tags":["slash-custom-field-option"],"operationId":"getOneCustomFieldOptionsForSpace","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"taskCustomFieldId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"fieldOptionId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"put":{"tags":["slash-custom-field-option"],"operationId":"updateCustomFieldOptionsForSpace","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"taskCustomFieldId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"fieldOptionId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomFieldOptionDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"delete":{"tags":["slash-custom-field-option"],"operationId":"deleteCustomFieldOptionsForSpace","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"taskCustomFieldId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"fieldOptionId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/spaces/{spaceId}/taskCustomFields/{taskCustomFieldId}/fieldName":{"put":{"tags":["slash-task-custom-field"],"operationId":"updateFieldNameForSpace","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"taskCustomFieldId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskCustomFieldDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/spaces/{spaceId}/projects/{projectId}":{"get":{"tags":["slash-project"],"operationId":"getOneProject","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"put":{"tags":["slash-project"],"operationId":"updateProject_1","parameters":[{"name":"projectId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"delete":{"tags":["slash-project"],"operationId":"deleteProject_1","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/spaces/{spaceId}/projects/{projectId}/users/{userId}/update-project-member-role":{"put":{"tags":["slash-project"],"operationId":"updateMemberRole","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"userId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectRoleDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/spaces/{spaceId}/projects/{projectId}/update-project-member-groupby-preference":{"put":{"tags":["slash-member-preference"],"operationId":"updateGroupByInProjectMember","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MemberPreferenceDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/spaces/{spaceId}/projects/{projectId}/update-project-member-filter":{"put":{"tags":["slash-member-preference"],"operationId":"updateFilterInProjectMember","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MemberPreferenceDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/spaces/{spaceId}/projects/{projectId}/update-guest-access":{"put":{"tags":["slash-project"],"operationId":"updateGuestAccess","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectMemberDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/spaces/{spaceId}/projects/{projectId}/taskstatuses/{taskStatusId}":{"put":{"tags":["slash-task-status"],"operationId":"updateProjectTaskStatus","parameters":[{"name":"taskStatusId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskStatusDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"delete":{"tags":["slash-task-status"],"operationId":"deleteProjectTaskStatus","parameters":[{"name":"taskStatusId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"replacementStatusId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/spaces/{spaceId}/projects/{projectId}/tasks":{"get":{"tags":["slash-project-task"],"operationId":"getAllTasksInProject","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"filterId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"searchCriteria","in":"query","required":false,"schema":{"type":"string","default":"{}"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":0}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":2147483647}},{"name":"property","in":"query","required":false,"schema":{"type":"string","default":"createdTime"}},{"name":"sort","in":"query","required":false,"schema":{"type":"string","default":"none"}},{"name":"groupBy","in":"query","required":false,"schema":{"type":"string","default":"none","enum":["status","priority","owners","none","custom_field"]}},{"name":"customFieldId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"put":{"tags":["slash-project-task"],"operationId":"updateTaskView","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"statusId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"priorityId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"ownerIds","in":"query","required":false,"schema":{"type":"array","items":{"type":"integer","format":"int64"}}},{"name":"taskCustomFieldId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"optionId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"insertPosition","in":"query","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"groupBy","in":"query","required":true,"schema":{"type":"string","enum":["status","priority","owners","none","custom_field"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"post":{"tags":["slash-project-task"],"operationId":"addTaskInProject","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/spaces/{spaceId}/projects/{projectId}/tasks/{taskId}/subtasks/reorder":{"put":{"tags":["slash-project-task"],"operationId":"reorderSubtask_1","parameters":[{"name":"taskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"subtaskId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"insertPosition","in":"query","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/spaces/{spaceId}/projects/{projectId}/tasks/{taskId}/restore":{"put":{"tags":["slash-project-task"],"operationId":"restore_1","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"taskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/spaces/{spaceId}/projects/{projectId}/tasks/{taskId}/recurrence":{"get":{"tags":["slash-task-recurrence"],"operationId":"getProjectTaskRecurrence","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"taskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"put":{"tags":["slash-task-recurrence"],"operationId":"updateProjectTaskRecurrence","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"taskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskRecurrenceDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"post":{"tags":["slash-task-recurrence"],"operationId":"createProjectTaskRecurrence","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"taskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskRecurrenceDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"delete":{"tags":["slash-task-recurrence"],"operationId":"deleteProjectTaskRecurrence","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"taskId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/spaces/{spaceId}/projects/{projectId}/taskCustomFields/{taskCustomFieldId}/fieldOptions/{fieldOptionId}":{"get":{"tags":["slash-custom-field-option"],"operationId":"getOneCustomFieldOptionsForProject","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"taskCustomFieldId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"fieldOptionId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"put":{"tags":["slash-custom-field-option"],"operationId":"updateCustomFieldOptionsForProject","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"taskCustomFieldId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"fieldOptionId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomFieldOptionDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"delete":{"tags":["slash-custom-field-option"],"operationId":"deleteCustomFieldOptionsForProject","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"taskCustomFieldId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"fieldOptionId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/spaces/{spaceId}/projects/{projectId}/taskCustomFields/{taskCustomFieldId}/fieldName":{"put":{"tags":["slash-task-custom-field"],"operationId":"updateFieldNameForProject","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"taskCustomFieldId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskCustomFieldDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/spaces/{spaceId}/projects/{projectId}/reset-mail":{"put":{"tags":["slash-project"],"operationId":"updateProjectMailId","parameters":[{"name":"projectId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/spaces/{spaceId}/projects/{projectId}/reorder":{"put":{"tags":["slash-project"],"operationId":"reorderProject","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"insertPosition","in":"query","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.hal+json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/spaces/{spaceId}/projects/{projectId}/projectCustomFields/{projectCustomFieldId}/value":{"put":{"tags":["slash-project-custom-field"],"operationId":"setProjectFieldValue","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectCustomFieldId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectCustomFieldDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/spaces/{spaceId}/projects/{projectId}/projectCustomFields/{projectCustomFieldId}/fieldOptions/{optionId}":{"put":{"tags":["slash-project-custom-field"],"operationId":"updateProjectFieldOption","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectCustomFieldId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"optionId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectCustomFieldOptionDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}},"delete":{"tags":["slash-project-custom-field"],"operationId":"deleteProjectFieldOption","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectCustomFieldId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"optionId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"replacementOptionId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/spaces/{spaceId}/projects/{projectId}/projectCustomFields/{projectCustomFieldId}/fieldName":{"put":{"tags":["slash-project-custom-field"],"operationId":"renameProjectField","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectCustomFieldId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProjectCustomFieldDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/spaces/{spaceId}/projects/{projectId}/projectCustomFields/custom-field-reorder":{"put":{"tags":["slash-project-custom-field"],"operationId":"reorderProjectFields","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"integer","format":"int64"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/spaces/{spaceId}/projects/{projectId}/custom-field-reorder":{"put":{"tags":["slash-task-custom-field"],"operationId":"reorderCustomFieldInProject","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"integer","format":"int64"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseFormat"}}}}}}},"/spaces/{spaceId}/projects/{projectId}/auto-close":{"put":{"tags":["slash-project"],"operationId":"updateProjectAutoClose","parameters":[{"name":"spaceId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"projectId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"autoClose","in":"query","required":true,"schema":{"type":"boole
[...]
